<template>
  <div>
    <div class="card-body">
      <h4 class="card-title">Register New User</h4>
      <div class="card-center-block">
        <hr>
        <form class="form-sample">
          <div class="form-group row">
            <label class="col-sm-5 col-form-label">Profile Picture</label>
            <div class="col-sm-7">
              <div class="profile-img">
                <div class="inner-image"></div>
                <div class="upload-file">
                  <a>
                    <i class="fa fa-camera" aria-hidden="true"/>
                  </a>
                </div>
              </div>
            </div>
          </div>

          <div class="form-group row">
            <label class="col-sm-5 col-form-label">User Name</label>
            <div class="col-sm-7">
              <input type="text" name="username" v-model="username">
            </div>
          </div>

          <div class="form-group row">
            <label class="col-sm-5 col-form-label">First Name</label>
            <div class="col-sm-7">
              <input type="text" name="firstname" v-model="firstname">
            </div>
          </div>
          <div class="form-group row">
            <label class="col-sm-5 col-form-label">Last Name</label>
            <div class="col-sm-7">
              <input type="text" name="lastname" v-model="lastname">
            </div>
          </div>
          <div class="form-group row">
            <label class="col-sm-5 col-form-label">Password</label>
            <div class="col-sm-7">
              <input type="text" name="password" v-model="password">
            </div>
          </div>
          <div class="form-group row">
            <label class="col-sm-5 col-form-label">Email</label>
            <div class="col-sm-7">
              <input type="text" name="email" v-model="email">
              <div class="error-block"></div>
            </div>
          </div>
          <div class="form-group row">
            <label class="col-sm-5 col-form-label">Mobile No.</label>
            <div class="col-sm-7">
              <input type="text" name="mobile" v-model="mobile">
              <div class="error-block"></div>
            </div>
          </div>
          <hr>
          <div class="form-group row">
            <div class="button-group-container">
              <button type="submit" class="btn btn-primary" @click="adduser">
                <span>Submit</span>
              </button>
              <button type="button" class="btn btn-warning">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
    data() {
        return {
            email: '',
            firstname:'',
            lastname:'',
            mobile:'',
            password:'',
            username:""
        }
    },
    methods: {
        adduser(e){
            e.preventDefault();
            let{email,firstname,lastname,mobile,password,username}=this
            var userdata={ username:username,firstname:firstname,lastname:lastname,mobile:mobile,password:password,email:email }
            console.log("sdfasdf",userdata);
            
            this.$store.dispatch("AddUser",userdata)
        }
    },
};
</script>

<style scoped>
</style>